#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

from zope.interface import Interface

from onf_website.shared.common.skin.card import SharedContentCard
from onf_website.shared.common.skin.interfaces import IContentCard
from onf_website.skin.public.layer import IONFBaseLayer
from pyams_content.shared.news import IWfNewsEvent
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config


__docformat__ = 'restructuredtext'


@adapter_config(context=(IWfNewsEvent, IONFBaseLayer, Interface),
                provides=IContentCard)
@template_config(template='templates/card.pt', layer=IONFBaseLayer)
class NewsEventContentCard(SharedContentCard):
    """News event content card"""

    css_class = 'card'
    date_class = 'card__date'
